Subject: Re: [ipwave] I-D Action: draft-ietf-ipwave-vehicular-networking-09.txt

From: Charlie Perkins <[email-masked]>
Date: Sun, 7 Jul 2019 19:01:54 -0700

Hello Paul,

I have reviewed the document.  I think it still needs some improvements 
as described below.

- It is not at all clear to me why a multi-link subnet model is better 
than simply a routing protocol between moving networks.

- The discussions about DNS need better motivation.

- I had asked for a more detailed analysis about the timing requirements 
and latency bounds.  The inclusion of numbers like 1 second, .5 second, 
and 500ms is not at all convincing, especially without citations.  Given 
some knowledge of DSRC range and typical speeds for motor vehicles, you 
should be able to get better numbers by some basic arithmetic.

- The Security Considerations needs to be significantly expanded, with 
cross references to other parts of the document.

- The "Changes" section should have detailed what was changed, instead 
of just saying that resolutions were included for our comments.

- I am not sure whether or not you intended to have a specific global 
prefix range (e.g., 2001:DB8:) set aside for VANETs.  I think this would 
be a bad idea.  Any routable IPv6 address ought to be routable in a VANET.

- In section 5.1, you might cite 
draft-ietf-mboned-ieee802-mcast-problems, our draft that discusses 
various kinds of problems faced by multicast-based protocols over 
wireless media.

- In section 5.1.1, it is suggested that two separate VANETs can merge 
into one network.  An example is needed for this.

- In section 5.3, the discussion indicates that malicious actions should 
be prevented by cooperation between good nodes.  But no suggestion is 
made about how to distinguish good nodes from bad nodes, or how to 
reduce the likelihood that a good node might be misused by a malicious 
operator, or be compromised.  Similarly, it is not suggested how to 
identify authorized vehicles.

Regards,
Charlie P.

On 7/4/2019 9:32 PM, Mr. Jaehoon Paul Jeong wrote:
> Charlie,
> Thanks for your time.
>
> Best Regards,
> Paul
>
> 2019년 7월 5일 (금) 오후 12:10, Charlie Perkins 
> <[email-masked] 
> <mailto:[email-masked]>>님이 작성:
>
>     Hello Paul,
>
>
>     It's on my list to read tomorrow.
>
>
>     Regards,
>     Charlie P.
>
>     ------------------------------------------------------------------------
>     *From:* Mr. Jaehoon Paul Jeong <[email-masked]
>     <mailto:[email-masked]>>
>     *Sent:* Thursday, July 4, 2019 4:36:26 AM
>     *To:* Charlie Perkins
>     *Cc:* Charles E. Perkins; CARLOS JESUS BERNARDOS CANO; Russ
>     Housley; Sri Gundavelli
>     *Subject:* Re: [ipwave] I-D Action:
>     draft-ietf-ipwave-vehicular-networking-09.txt
>     Hi Charlie,
>     Did you have a chance to review our IPWAVE PS draft?
>     https://tools.ietf.org/html/draft-ietf-ipwave-vehicular-networking-09
>     <https://nam03.safelinks.protection.outlook.com/?url=https%3A%2F%2Ftools.ietf.org%2Fhtml%2Fdraft-ietf-ipwave-vehicular-networking-09&data=02%7C01%7Ccharlie.perkins%40futurewei.com%7Cb4309165c9244f0980d908d70073eee2%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C636978370247361380&sdata=ZiUV934DN3GZyKITtLNmcytBaAvC3Hl4rkoB679FT9k%3D&reserved=0>
>
>
>     Please let me know whether you are satisfied with the current
>     version or not.
>
>     I believe that I addresses all your previous comments
>     even though the current version is a compact one focusing on the
>     problems for IPWAVE.
>
>     Thanks.
>
>     Best Regards,
>     Paul
>
>     On Thu, Jun 27, 2019 at 7:07 AM CARLOS JESUS BERNARDOS CANO
>     <[email-masked] <mailto:[email-masked]>> wrote:
>
>         I’ll wait until Charlie reviews it to do my review.
>
>         Thanks!
>
>         Carlos
>
>         On Tue, 25 Jun 2019 at 04:14, Mr. Jaehoon Paul Jeong
>         <[email-masked] <mailto:[email-masked]>> wrote:
>
>             Charlie,
>             Thanks a lot.
>
>             Best Regards,
>             Paul
>
>             2019년 6월 25일 (화) 오전 10:57, Charlie Perkins
>             <[email-masked]
>             <mailto:[email-masked]>>님이 작성:
>
>                 Hello Paul and all,
>
>
>                 I will attempt to review the draft later this week.
>
>
>                 Regards,
>                 Charlie P.
>
>                 ------------------------------------------------------------------------
>                 *From:* Mr. Jaehoon Paul Jeong <[email-masked]
>                 <mailto:[email-masked]>>
>                 *Sent:* Monday, June 24, 2019 6:55:25 PM
>                 *To:* CARLOS JESUS BERNARDOS CANO
>                 *Cc:* Charles E. Perkins; Russ Housley;
>                 [email-masked]
>                 <mailto:[email-masked]>; Sri Gundavelli;
>                 Jaehoon Paul Jeong
>                 *Subject:* Re: [ipwave] I-D Action:
>                 draft-ietf-ipwave-vehicular-networking-09.txt
>                 Hi Carlos,
>                 It seems Charlie is busy.
>                 I believe I addressed Charlie's previous comments on
>                 the draft.
>
>                 Could you review and give me yours comments for WGLC
>                 before the IETF-105 meeting?
>
>                 Thanks.
>
>                 Best Regards,
>                 Paul
>
>                 2019년 6월 24일 (월) 오후 12:49, Mr. Jaehoon Paul Jeong
>                 <[email-masked]
>                 <mailto:[email-masked]>>님이 작성:
>
>                     Sri,
>                     Okay.
>                     I will not change the text about ND.
>
>                     Let's wait for Charlie's response.
>
>                     Thanks.
>
>                     Best Regards,
>                     Paul
>
>                     2019년 6월 24일 (월) 오후 12:44, Sri Gundavelli
>                     (sgundave) <[email-masked]
>                     <mailto:[email-masked]>>님이 작성:
>
>                         Hi Paul,
>
>                         Ok! Any new text needs to go through the WG
>                         review process. If you can revert ND related
>                         multi-hop text and references that will be
>                         good. Unfortunately, that’s the most
>                         controversial topic and we don’t need to
>                         muddle the waters bringing that discussion
>                         into this. We need to optimize ND and lets
>                         leave it at that level.
>
>
>
>                         Thanks
>                         Sri
>
>
>
>                         From: "Mr. Jaehoon Paul Jeong"
>                         <[email-masked]
>                         <mailto:[email-masked]>>
>                         Date: Sunday, June 23, 2019 at 8:40 PM
>                         To: Sri Gundavelli <[email-masked]
>                         <mailto:[email-masked]>>,
>                         "[email-masked]
>                         <mailto:[email-masked]>"
>                         <[email-masked]
>                         <mailto:[email-masked]>>
>                         Cc: Russ Housley <[email-masked]
>                         <mailto:[email-masked]>>, CARLOS JESUS
>                         BERNARDOS CANO <[email-masked]
>                         <mailto:[email-masked]>>,
>                         "[email-masked]
>                         <mailto:[email-masked]>"
>                         <[email-masked]
>                         <mailto:[email-masked]>>,
>                         "[email-masked]
>                         <mailto:[email-masked]>"
>                         <[email-masked]
>                         <mailto:[email-masked]>>
>                         Subject: Re: [ipwave] I-D Action:
>                         draft-ietf-ipwave-vehicular-networking-09.txt
>
>                         Hi Sri,
>                         I will remove the solution text and RFC 8505
>                         reference for ND in the revision by focusing
>                         on the problem in Section 5.1 and 5.1.1.
>
>                         Charlie,
>                         Do you have any comments on the current version?
>
>                         To make this draft go forward, we need your
>                         review and comments.
>
>                         Thanks.
>
>                         Best Regards,
>                         Paul
>
>                         2019년 6월 24일 (월) 오후 12:09, Sri Gundavelli
>                         (sgundave) <[email-masked]
>                         <mailto:[email-masked]>>님이 작성:
>
>                             Hi Paul,
>
>                             I have reviewed the –09 version and the
>                             delta from –08.
>
>                             The spec has surely improved and you have
>                             now eliminated bunch of unnecessary text.
>                             This is good and thanks for those
>                             improvements. However, in ND section, I
>                             see lot of new text and RFC 8505
>                             references. I thought the goal here was to
>                             address the comments. Why would we add
>                             next text, scenarios and spec references
>                             at this stage? Specifically, 5.1,  5.1.1.1?
>
>
>                             Sri
>
>
>
>
>
>
>
>                             From: its <[email-masked]
>                             <mailto:[email-masked]>> on behalf
>                             of "Mr. Jaehoon Paul Jeong"
>                             <[email-masked]
>                             <mailto:[email-masked]>>
>                             Date: Sunday, May 26, 2019 at 5:50 PM
>                             To: Charlie Perkins
>                             <[email-masked]
>                             <mailto:[email-masked]>>, Sri
>                             Gundavelli <[email-masked]
>                             <mailto:[email-masked]>>
>                             Cc: "[email-masked]
>                             <mailto:[email-masked]>"
>                             <[email-masked]
>                             <mailto:[email-masked]>>,
>                             "Pascal Thubert (pthubert)"
>                             <[email-masked]
>                             <mailto:[email-masked]>>,
>                             "[email-masked] <mailto:[email-masked]>"
>                             <[email-masked] <mailto:[email-masked]>>, Russ
>                             Housley <[email-masked]
>                             <mailto:[email-masked]>>,
>                             "[email-masked] <mailto:[email-masked]>"
>                             <[email-masked] <mailto:[email-masked]>>,
>                             CARLOS JESUS BERNARDOS CANO
>                             <[email-masked]
>                             <mailto:[email-masked]>>,
>                             "[email-masked]
>                             <mailto:[email-masked]>"
>                             <[email-masked]
>                             <mailto:[email-masked]>>
>                             Subject: Re: [ipwave] I-D Action:
>                             draft-ietf-ipwave-vehicular-networking-09.txt
>
>                             Hi Charlie and Sri,
>                             Could you review the revised draft for
>                             IPWAVE PS and confirm that you are happy
>                             with the revision?
>
>                             https://tools.ietf.org/html/draft-ietf-ipwave-vehicular-networking-09
>                             <https://nam03.safelinks.protection.outlook.com/?url=https%3A%2F%2Ftools.ietf.org%2Fhtml%2Fdraft-ietf-ipwave-vehicular-networking-09&data=02%7C01%7Ccharlie.perkins%40futurewei.com%7Cb4309165c9244f0980d908d70073eee2%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C636978370247371372&sdata=t2Qt6nCDrxYPfJ6X%2FJ6B%2F5bgTWSTFtwlw7oWeWxgdn8%3D&reserved=0>
>
>                             Your confirmation can allow for the next
>                             step of our PS draft.
>
>                             If you have some places to improve, please
>                             let me know.
>
>                             Thanks.
>
>                             Best Regards,
>                             Paul
>
>                             2019년 5월 25일 (토) 오후 1:29, Mr. Jaehoon
>                             Paul Jeong <[email-masked]
>                             <mailto:[email-masked]>>님이 작성:
>
>                                 Hi IPWAVE WG,
>                                 I have submitted the revision of our
>                                 IPWAVE PS draft:
>                                 https://tools.ietf.org/html/draft-ietf-ipwave-vehicular-networking-09
>                                 <https://nam03.safelinks.protection.outlook.com/?url=https%3A%2F%2Ftools.ietf.org%2Fhtml%2Fdraft-ietf-ipwave-vehicular-networking-09&data=02%7C01%7Ccharlie.perkins%40futurewei.com%7Cb4309165c9244f0980d908d70073eee2%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C636978370247381365&sdata=feYwe8zeWdkkDxy03YW9rXvOH78%2BJdg35e9m0g8SENA%3D&reserved=0>
>
>
>                                 According to the request of Sri and
>                                 Russ, this version is focused on
>                                 the problem statement about three key
>                                 aspects of IP-based vehicular networking,
>                                 such as Neighbor Discovery, Mobility
>                                 Management, and Security & Privacy.
>
>                                 For the Neighbor Discovery, I used
>                                 Pascal's text about the problem
>                                 statement about
>                                 the ND at 802.11-OCB.
>                                 Thanks for Pascal's contribution, and
>                                 I acknowledged his contribution in the
>                                 draft.
>
>                                 Carlos,
>                                 Could you review this version and give
>                                 me your comments to move forward
>                                 toward WGLC?
>
>                                 Thanks.
>
>                                 Paul
>
>                                 On Sat, May 25, 2019 at 1:22 PM
>                                 <[email-masked]
>                                 <mailto:[email-masked]>> wrote:
>
>
>                                     A New Internet-Draft is available
>                                     from the on-line Internet-Drafts
>                                     directories.
>                                     This draft is a work item of the
>                                     IP Wireless Access in Vehicular
>                                     Environments WG of the IETF.
>
>                                             Title          : IP
>                                     Wireless Access in Vehicular
>                                     Environments (IPWAVE): Problem
>                                     Statement and Use Cases
>                                     Author   : Jaehoon Paul Jeong (editor)
>                                     Filename   :
>                                     draft-ietf-ipwave-vehicular-networking-09.txt
>                                             Pages          : 28
>                                             Date           : 2019-05-24
>
>                                     Abstract:
>                                        This document discusses the
>                                     problem statement and use cases of IP-
>                                        based vehicular networking for
>                                     Intelligent Transportation Systems
>                                        (ITS).  The main scenarios of
>                                     vehicular communications are vehicle-
>                                        to-vehicle (V2V),
>                                     vehicle-to-infrastructure (V2I),
>                                     and vehicle-to-
>                                        everything (V2X)
>                                     communications. First, this
>                                     document explains use
>                                        cases using V2V, V2I, and V2X
>                                     networking. Next, it makes a problem
>                                        statement about key aspects in
>                                     IP-based vehicular networking, such as
>                                        IPv6 Neighbor Discovery,
>                                     Mobility Management, and Security
>                                     & Privacy.
>                                        For each key aspect, this
>                                     document specifies requirements in
>                                     IP-based
>                                        vehicular networking, and
>                                     suggests the direction of solutions
>                                        satisfying those requirements.
>
>
>                                     The IETF datatracker status page
>                                     for this draft is:
>                                     https://datatracker.ietf.org/doc/draft-ietf-ipwave-vehicular-networking/
>                                     <https://nam03.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-ietf-ipwave-vehicular-networking%2F&data=02%7C01%7Ccharlie.perkins%40futurewei.com%7Cb4309165c9244f0980d908d70073eee2%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C636978370247381365&sdata=iGqhfG8zmLA%2FxYqa0mKXmoUpKuCU8Fd%2Bh3ik4rnRpeQ%3D&reserved=0>
>
>                                     There are also htmlized versions
>                                     available at:
>                                     https://tools.ietf.org/html/draft-ietf-ipwave-vehicular-networking-09
>                                     <https://nam03.safelinks.protection.outlook.com/?url=https%3A%2F%2Ftools.ietf.org%2Fhtml%2Fdraft-ietf-ipwave-vehicular-networking-09&data=02%7C01%7Ccharlie.perkins%40futurewei.com%7Cb4309165c9244f0980d908d70073eee2%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C636978370247391355&sdata=E3eK7Ih%2BldyrQ6CAwDnEcDAJLArqtH8CHS0Y2TXCUro%3D&reserved=0>
>                                     https://datatracker.ietf.org/doc/html/draft-ietf-ipwave-vehicular-networking-09
>                                     <https://nam03.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fhtml%2Fdraft-ietf-ipwave-vehicular-networking-09&data=02%7C01%7Ccharlie.perkins%40futurewei.com%7Cb4309165c9244f0980d908d70073eee2%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C636978370247391355&sdata=JX8ZTQi8JIKGTyTCamtDFb3DmCQ1N2kQMy4uwmLvqz8%3D&reserved=0>
>
>                                     A diff from the previous version
>                                     is available at:
>                                     https://www.ietf.org/rfcdiff?url2=draft-ietf-ipwave-vehicular-networking-09
>                                     <https://nam03.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Frfcdiff%3Furl2%3Ddraft-ietf-ipwave-vehicular-networking-09&data=02%7C01%7Ccharlie.perkins%40futurewei.com%7Cb4309165c9244f0980d908d70073eee2%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C636978370247401353&sdata=C%2FpQ5OwKE7Gmfx4LbGQerqqMydYFivG0TQrfFh6jhEw%3D&reserved=0>
>
>
>                                     Please note that it may take a
>                                     couple of minutes from the time of
>                                     submission
>                                     until the htmlized version and
>                                     diff are available at
>                                     tools.ietf.org
>                                     <https://nam03.safelinks.protection.outlook.com/?url=http%3A%2F%2Ftools.ietf.org&data=02%7C01%7Ccharlie.perkins%40futurewei.com%7Cb4309165c9244f0980d908d70073eee2%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C636978370247401353&sdata=0NiMibRlZKstrEFe%2BiER9V5DQbONNX6AoyHFx3v%2FBPc%3D&reserved=0>.
>
>                                     Internet-Drafts are also available
>                                     by anonymous FTP at:
>                                     ftp://ftp.ietf.org/internet-drafts/
>
>                                     _______________________________________________
>                                     its mailing list
>                                     [email-masked] <mailto:[email-masked]>
>                                     https://www.ietf.org/mailman/listinfo/its
>                                     <https://nam03.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Fits&data=02%7C01%7Ccharlie.perkins%40futurewei.com%7Cb4309165c9244f0980d908d70073eee2%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C636978370247411352&sdata=VNE%2BvRHPGhThMdyaThQFq%2FbFZQBO6kkxdVC467kmNdY%3D&reserved=0>
>
>
>
>                                 -- 
>                                 ===========================
>                                 Mr. Jaehoon (Paul) Jeong, Ph.D.
>                                 Associate Professor
>                                 Department of Software
>                                 Sungkyunkwan University
>                                 Office: +82-31-299-4957
>                                 Email: [email-masked]
>                                 <mailto:[email-masked]>,
>                                 [email-masked]
>                                 <mailto:[email-masked]>
>                                 Personal Homepage:
>                                 http://iotlab.skku.edu/people-jaehoon-jeong.php
>                                 <https://nam03.safelinks.protection.outlook.com/?url=http%3A%2F%2Fcpslab.skku.edu%2Fpeople-jaehoon-jeong.php&data=02%7C01%7Ccharlie.perkins%40futurewei.com%7Cb4309165c9244f0980d908d70073eee2%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C636978370247411352&sdata=0AmtR%2BQpBROT0zOr7Zqe4MnyK6gV91ZyvTkJqijXIMI%3D&reserved=0>
>
>         -- 
>         Sent from a mobile device, please excuse any brevity or typing
>         errors.
>
>
>
>     -- 
>     ===========================
>     Mr. Jaehoon (Paul) Jeong, Ph.D.
>     Associate Professor
>     Department of Software
>     Sungkyunkwan University
>     Office: +82-31-299-4957
>     Email: [email-masked] <mailto:[email-masked]>,
>     [email-masked] <mailto:[email-masked]>
>     Personal Homepage: http://iotlab.skku.edu/people-jaehoon-jeong.php
>     <https://nam03.safelinks.protection.outlook.com/?url=http%3A%2F%2Fcpslab.skku.edu%2Fpeople-jaehoon-jeong.php&data=02%7C01%7Ccharlie.perkins%40futurewei.com%7Cb4309165c9244f0980d908d70073eee2%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C636978370247421344&sdata=g9ipx1piwjxrV5Kmir378tHB2TmzwR3MARk%2B0F9n79g%3D&reserved=0>
>

---

From: "Mr. Jaehoon Paul Jeong" <[email-masked]>
Date: Mon, 8 Jul 2019 11:34:16 +0900

Hi Charlie,
Thanks for your detailed comments.

I will address yours one by one by a revision letter.

Thanks.

Best Regards,
Paul

On Mon, Jul 8, 2019 at 11:01 AM Charlie Perkins <
[email-masked]> wrote:

> Hello Paul,
>
> I have reviewed the document.  I think it still needs some improvements as
> described below.
>
> and latency bounds.  The inclusion of numbers like 1 second, .5 second, and
> 500ms is not at all convincing, especially without citations.  Given some
> knowledge of DSRC range and typical speeds for motor vehicles, you should
> be able to get better numbers by some basic arithmetic.
>
> - The "Changes" section should have detailed what was changed, instead of
> just saying that resolutions were included for our comments.
>
> prefix range (e.g., 2001:DB8:) set aside for VANETs.  I think this would be
> a bad idea.  Any routable IPv6 address ought to be routable in a VANET.
>
> - In section 5.1, you might cite draft-ietf-mboned-ieee802-mcast-problems,
> our draft that discusses various kinds of problems faced by multicast-based
> protocols over wireless media.
>
> be prevented by cooperation between good nodes.  But no suggestion is made
> about how to distinguish good nodes from bad nodes, or how to reduce the
> likelihood that a good node might be misused by a malicious operator, or be
> compromised.  Similarly, it is not suggested how to identify authorized
> vehicles.
>
> Regards,
> Charlie P.
>
>
> 2019년 7월 5일 (금) 오후 12:10, Charlie Perkins <[email-masked]>님이
> 작성:
>
>> Hello Paul,
>>
>>
>> ------------------------------
>> *From:* Mr. Jaehoon Paul Jeong <[email-masked]>
>> *Cc:* Charles E. Perkins; CARLOS JESUS BERNARDOS CANO; Russ Housley; Sri
>> Gundavelli
>> Please let me know whether you are satisfied with the current version or
>> not.
>>
>> even though the current version is a compact one focusing on the problems
>> for IPWAVE.
>>
>> Thanks.
>>
>> Best Regards,
>> Paul
>>
>> On Thu, Jun 27, 2019 at 7:07 AM CARLOS JESUS BERNARDOS CANO <
>> [email-masked]> wrote:
>>
>> On Tue, 25 Jun 2019 at 04:14, Mr. Jaehoon Paul Jeong <
>> [email-masked]> wrote:
>>
>> Charlie,
>> Thanks a lot.
>>
>> Best Regards,
>> Paul
>>
>> 2019년 6월 25일 (화) 오전 10:57, Charlie Perkins <[email-masked]>님이
>> 작성:
>>
>> Hello Paul and all,
>>
>>
>> ------------------------------
>> *From:* Mr. Jaehoon Paul Jeong <[email-masked]>
>> *Cc:* Charles E. Perkins; Russ Housley; [email-masked]; Sri
>> Gundavelli; Jaehoon Paul Jeong
>> I believe I addressed Charlie's previous comments on the draft.
>>
>> Could you review and give me yours comments for WGLC before the IETF-105
>> meeting?
>>
>> Thanks.
>>
>> Best Regards,
>> Paul
>>
>> 2019년 6월 24일 (월) 오후 12:49, Mr. Jaehoon Paul Jeong <[email-masked]>님이
>> 작성:
>>
>> Sri,
>> Okay.
>> 2019년 6월 24일 (월) 오후 12:44, Sri Gundavelli (sgundave) <[email-masked]>님이
>> 작성:
>>
>> Hi Paul,
>>
>> Ok! Any new text needs to go through the WG review process. If you can
>> revert ND related multi-hop text and references that will be good.
>> Unfortunately, that’s the most controversial topic and we don’t need to
>> muddle the waters bringing that discussion into this. We need to optimize
>> ND and lets leave it at that level.
>>
>>
>>
>> Thanks
>> Sri
>>
>>
>>
>> From: "Mr. Jaehoon Paul Jeong" <[email-masked]>
>> To: Sri Gundavelli <[email-masked]>, "[email-masked]"
>> <[email-masked]>
>> Cc: Russ Housley <[email-masked]>, CARLOS JESUS BERNARDOS CANO <
>> [email-masked]>, "[email-masked]" <
>> [email-masked]>, "[email-masked]" <
>> [email-masked]>
>> I will remove the solution text and RFC 8505 reference for ND in the
>> revision by focusing on the problem in Section 5.1 and 5.1.1.
>>
>> Charlie,
>> To make this draft go forward, we need your review and comments.
>>
>> Thanks.
>>
>> Best Regards,
>> Paul
>>
>> 2019년 6월 24일 (월) 오후 12:09, Sri Gundavelli (sgundave) <[email-masked]>님이
>> 작성:
>>
>> Hi Paul,
>>
>> I have reviewed the –09 version and the delta from –08.
>>
>> The spec has surely improved and you have now eliminated bunch of
>> unnecessary text. This is good and thanks for those improvements. However,
>> in ND section, I see lot of new text and RFC 8505 references. I thought the
>> goal here was to address the comments. Why would we add next text,
>> scenarios and spec references at this stage? Specifically, 5.1,  5.1.1.1?
>>
>>
>> Sri
>>
>>
>>
>>
>>
>>
>>
>>
>> From: its <[email-masked]> on behalf of "Mr. Jaehoon Paul Jeong" <
>> [email-masked]>
>> To: Charlie Perkins <[email-masked]>, Sri Gundavelli <
>> [email-masked]>
>> Cc: "[email-masked]" <
>> [email-masked]>, "Pascal Thubert (pthubert)" <
>> [email-masked]>, "[email-masked]" <[email-masked]>, Russ Housley <
>> [email-masked]>, "[email-masked]" <[email-masked]>, CARLOS JESUS
>> BERNARDOS CANO <[email-masked]>, "[email-masked]" <
>> [email-masked]>
>> Could you review the revised draft for IPWAVE PS and confirm that you are
>> happy with the revision?
>>
>> Your confirmation can allow for the next step of our PS draft.
>>
>> If you have some places to improve, please let me know.
>>
>> Thanks.
>>
>> Best Regards,
>> Paul
>>
>> 2019년 5월 25일 (토) 오후 1:29, Mr. Jaehoon Paul Jeong <[email-masked]>님이
>> 작성:
>>
>> Hi IPWAVE WG,
>> I have submitted the revision of our IPWAVE PS draft:
>> According to the request of Sri and Russ, this version is focused on
>> the problem statement about three key aspects of IP-based vehicular
>> networking,
>> such as Neighbor Discovery, Mobility Management, and Security & Privacy.
>>
>> For the Neighbor Discovery, I used Pascal's text about the problem
>> statement about
>> the ND at 802.11-OCB.
>> Thanks for Pascal's contribution, and I acknowledged his contribution in
>> the draft.
>>
>> Carlos,
>> Could you review this version and give me your comments to move forward
>> toward WGLC?
>>
>> Thanks.
>>
>> Paul
>>
>> On Sat, May 25, 2019 at 1:22 PM <[email-masked]> wrote:
>>
>>
>> A New Internet-Draft is available from the on-line Internet-Drafts
>> directories.
>> This draft is a work item of the IP Wireless Access in Vehicular
>>         Title           : IP Wireless Access in Vehicular Environments
>> (IPWAVE): Problem Statement and Use Cases
>>         Filename        : draft-ietf-ipwave-vehicular-networking-09.txt
>>         Pages           : 28
>>         Date            : 2019-05-24
>>
>> Abstract:
>>    This document discusses the problem statement and use cases of IP-
>>    based vehicular networking for Intelligent Transportation Systems
>>    (ITS).  The main scenarios of vehicular communications are vehicle-
>>    to-vehicle (V2V), vehicle-to-infrastructure (V2I), and vehicle-to-
>>    everything (V2X) communications.  First, this document explains use
>>    cases using V2V, V2I, and V2X networking.  Next, it makes a problem
>>    statement about key aspects in IP-based vehicular networking, such as
>>    IPv6 Neighbor Discovery, Mobility Management, and Security & Privacy.
>>    For each key aspect, this document specifies requirements in IP-based
>>    vehicular networking, and suggests the direction of solutions
>> The IETF datatracker status page for this draft is:
>> There are also htmlized versions available at:
>> A diff from the previous version is available at:
>>
>> Please note that it may take a couple of minutes from the time of
>> submission
>> until the htmlized version and diff are available at tools.ietf.org
>> Internet-Drafts are also available by anonymous FTP at:
>> [email-masked]
>> Email: [email-masked], [email-masked]
>> Sent from a mobile device, please excuse any brevity or typing errors.
>>
>>
>>
>> --
>> Email: [email-masked], [email-masked]

-- 
===========================
Mr. Jaehoon (Paul) Jeong, Ph.D.
Associate Professor
Department of Software
Sungkyunkwan University
Office: +82-31-299-4957
Email: [email-masked], [email-masked]
Personal Homepage: http://iotlab.skku.edu/people-jaehoon-jeong.php
<http://cpslab.skku.edu/people-jaehoon-jeong.php>

---

From: "Mr. Jaehoon Paul Jeong" <[email-masked]>
Date: Tue, 9 Jul 2019 09:12:18 +0900

Hi Charlie,
Here is the revision based on your major comments:
https://tools.ietf.org/html/draft-ietf-ipwave-vehicular-networking-10

I attach the revision letter explaining how I answered your comments.
If you have comments and questions on the revision, please let me know.

Due to the time limitation, I could not address your editorial comments on
-10 version.
For your editorial comments, I will address them and submit -11 version
before the IETF-105 IPWAVE session.

Thanks.

Best Regards,
Paul

---

From: "Mr. Jaehoon Paul Jeong" <[email-masked]>
Date: Thu, 18 Jul 2019 21:03:18 +0900

Hi Charlie,
Here is the vision -11, reflecting all of your editorial comments and
questions along with
the revision letter.
The attached draft pdf is unofficial one generated from the xml file of
version -11,
which will be submitted on July 21, 2019.

If you have further questions and comments, please let me know.

Thanks.

Best Regards,
Paul

On Tue, Jul 9, 2019 at 9:12 AM Mr. Jaehoon Paul Jeong <
[email-masked]> wrote:

>> draft-ietf-mboned-ieee802-mcast-problems, our draft that discusses various
>> kinds of problems faced by multicast-based protocols over wireless media.
>>
>>> *Cc:* Charles E. Perkins; CARLOS JESUS BERNARDOS CANO; Russ Housley;
>>> Sri Gundavelli
>>> 2019년 6월 25일 (화) 오전 10:57, Charlie Perkins <
>>> [email-masked]>님이 작성:
>>>
>>> Hello Paul and all,
>>>
>>>
>>> 2019년 6월 24일 (월) 오후 12:49, Mr. Jaehoon Paul Jeong <
>>> [email-masked]>님이 작성:
>>>
>>> Sri,
>>> Okay.
>>> Could you review the revised draft for IPWAVE PS and confirm that you
>>> are happy with the revision?
>>>

---

From: "Mr. Jaehoon Paul Jeong" <[email-masked]>
Date: Sun, 21 Jul 2019 01:21:52 -0400

Hi Charlie,
I have submitted the version -11 of the IPWAVE PS document, addressing all
your comments and questions:
https://tools.ietf.org/html/draft-ietf-ipwave-vehicular-networking-11

Could you doublecheck whether my answers satisfy you or not to let our
IPWAVE PS document move forward?

Thanks.

Best Regards,
Paul

On Thu, Jul 18, 2019 at 8:03 AM Mr. Jaehoon Paul Jeong <
[email-masked]> wrote:

>> Due to the time limitation, I could not address your editorial comments
>> on -10 version.
>>>> Please let me know whether you are satisfied with the current version
>>>> or not.
>>>>
>>>> *Cc:* Charles E. Perkins; Russ Housley; [email-masked];
>>>> Sri Gundavelli; Jaehoon Paul Jeong
>>>> Could you review and give me yours comments for WGLC before the
>>>> IETF-105 meeting?
>>>>
>>>> Thanks.
>>>>
>>>> Best Regards,
>>>> Paul
>>>>
>>>> 2019년 6월 24일 (월) 오후 12:44, Sri Gundavelli (sgundave) <
>>>> [email-masked]>님이 작성:
>>>>
>>>> Hi Paul,
>>>>
>>>> 2019년 6월 24일 (월) 오후 12:09, Sri Gundavelli (sgundave) <
>>>> [email-masked]>님이 작성:
>>>>
>>>> Hi Paul,
>>>>
>>>> From: its <[email-masked]> on behalf of "Mr. Jaehoon Paul Jeong"
>>>> <[email-masked]>
>>>> 2019년 5월 25일 (토) 오후 1:29, Mr. Jaehoon Paul Jeong <
>>>> Thanks for Pascal's contribution, and I acknowledged his contribution
>>>> in the draft.
>>>>
>>>> Carlos,